## org.eclipse.jst.jsf.designtime.el
Class AbstractDTPropertyResolver

    java.lang.Object
      org.eclipse.jst.jsf.designtime.el.AbstractDTPropertyResolver

Direct Known Subclasses:
  DefaultDTPropertyResolver

    public abstract class AbstractDTPropertyResolver

extends java.lang.Object

Super-class of all design time property resolvers

Constructor Summary
`AbstractDTPropertyResolver()`

Method Summary
`abstract ISymbol[]` `getAllProperties(ISymbol base)`
`abstract ISymbol` `getProperty(ISymbol base, int offset)`
`abstract ISymbol` `getProperty(ISymbol base, java.lang.Object propertyId)` Returns a symbol encapsulating the property on base with the name properyId.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDTPropertyResolver

    public AbstractDTPropertyResolver()

Method Detail

### getProperty

    public abstract ISymbol getProperty(ISymbol base,
                                        java.lang.Object propertyId)

  Returns a symbol encapsulating the property on base with the name properyId. Note that getProperty may return *more* property symbols for the same 'base' because some ISymbol's have unconstrained type descriptors. For example, a bean that implements java.util.Map, may have any number of possible properties added at runtime that cannot be determined at design time. It is up to implementers of this interface to decide how (whether) to return these objects at design time

  Parameters:
    `base` -
    `propertyId` -
  Returns:
    the symbol for the named propertyId or null if not found

### getProperty

    public abstract ISymbol getProperty(ISymbol base,
                                        int offset)

  Parameters:
    `base` -
    `offset` -
  Returns:
    the symbol for the property referred to by the offset into base when it is treated as either an array or a list. The symbol returned is *not* found in the getAllProperties list.

### getAllProperties

    public abstract ISymbol[] getAllProperties(ISymbol base)

  Parameters:
    `base` -
  Returns:
    all properties of base that can be determined concretely at designtime. Note that getProperty(base, x) may return non-null for objects not found in the return from this method. @see getProperty